Zum Hauptinhalt springen
POST
/
knowledgeSource
/
filesConnector
/
upload
Upload a file (or batch of files)
curl --request POST \
  --url https://demo.enneo.ai/api/mind/knowledgeSource/filesConnector/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'files[]=<string>' \
  --form folderId=11 \
  --form files[].items='@example-file'
{
  "success": true,
  "id": 42
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Body

multipart/form-data
file
file

Single-file upload (backward-compatible). Mutually exclusive with files[].

files[]
file[]

Batch upload — multiple files as name="files[]". Max 20 files, 50 MB total.

folderId
integer

Folder structure ID to place the file(s) in. Defaults to the connector root.

Beispiel:

11

Antwort

Single-file: {success: true, id: N}. Batch: {successful: [{id, name}], failed: [{name, error}]} — HTTP 200 even when some files failed.

success
boolean
Beispiel:

true

id
integer

ID of the created knowledge_sources row

Beispiel:

42